// BenLincoln.TheLostWorlds.CDDigitalAudio
// Copyright 2006-2012 Ben Lincoln
// http://www.thelostworlds.net/
//

// This file is part of BenLincoln.TheLostWorlds.CDDigitalAudio.

// BenLincoln.TheLostWorlds.CDDigitalAudio is free software: you can redistribute it and/or modify
// it under the terms of version 3 of the GNU General Public License as published by
// the Free Software Foundation.

// BenLincoln.TheLostWorlds.CDDigitalAudio is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with BenLincoln.TheLostWorlds.CDDigitalAudio (in the file LICENSE.txt).  
// If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;
using BLCDDA = BenLincoln.TheLostWorlds.CDDigitalAudio;
using BLDA = BenLincoln.DigitalAudio;

namespace BenLincoln.TheLostWorlds.CDDigitalAudio
{
    public class WAVContainer : BLCDDA.SoundClipContainerFile
    {
        public WAVContainer(string path)
            : base(path)
        {
        }

        public override void LoadFile()
        {
            // only supporting WAV files with one clip
            _SoundClips = new BLCDDA.SoundClip[1];
            string[] pathSplit = _Path.Split('\\');
            string fileName = pathSplit[pathSplit.GetUpperBound(0)];
            _SoundClips[0] = new BLCDDA.WAVClip(fileName.Substring(0, fileName.LastIndexOf('.')), this, 0);
        }

        protected override Hashtable GetSubclassInfo()
        {
            Hashtable info = new Hashtable();
            info.Add("Type", "RIFF WAV File Pass-Through Container");
            return info;
        }
    }
}
