// BenLincoln.TheLostWorlds.CDGameDotErg
// Copyright 2007-2012 Ben Lincoln
// http://www.thelostworlds.net/
//

// This file is part of BenLincoln.TheLostWorlds.CDGameDotErg.

// BenLincoln.TheLostWorlds.CDGameDotErg is free software: you can redistribute it and/or modify
// it under the terms of version 3 of the GNU General Public License as published by
// the Free Software Foundation.

// BenLincoln.TheLostWorlds.CDGameDotErg is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with BenLincoln.TheLostWorlds.CDGameDotErg (in the file LICENSE.txt).  
// If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.Text;

namespace BenLincoln.TheLostWorlds.CDGameDotErg
{
    public class GameArea
    {
        protected string _Name;
        protected string _Description;
        protected string _Level;
        protected GameLevel _ParentLevel;

        #region Properties

        public string Name
        {
            get
            {
                return _Name;
            }
        }

        public string Description
        {
            get
            {
                return _Description;
            }
        }

        public string Level
        {
            get
            {
                return _Level;
            }
        }

        public GameLevel ParentLevel
        {
            get
            {
                return _ParentLevel;
            }
        }

        #endregion

        public GameArea(string name, string description, string level, GameLevel parentLevel)
        {
            _Name = name;
            _Description = description;
            _Level = level;
            _ParentLevel = parentLevel;
        }

        public string GetFullPath()
        {
            return _Level + "/" + _Name;
        }
    }
}
