// BenLincoln.TheLostWorlds.CDGameDotErg
// Copyright 2007-2012 Ben Lincoln
// http://www.thelostworlds.net/
//

// This file is part of BenLincoln.TheLostWorlds.CDGameDotErg.

// BenLincoln.TheLostWorlds.CDGameDotErg is free software: you can redistribute it and/or modify
// it under the terms of version 3 of the GNU General Public License as published by
// the Free Software Foundation.

// BenLincoln.TheLostWorlds.CDGameDotErg is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with BenLincoln.TheLostWorlds.CDGameDotErg (in the file LICENSE.txt).  
// If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;

namespace BenLincoln.TheLostWorlds.CDGameDotErg
{
    public class GameAreaLookupTable
    {
        protected Hashtable _Table;

        #region Properties

        public Hashtable Table
        {
            get
            {
                return _Table;
            }
            set
            {
                _Table = value;
            }
        }

        #endregion

        public GameAreaLookupTable()
        {
            _Table = new Hashtable();
        }

        public GameArea GetArea(string fullPath)
        {
            if (_Table.Contains(fullPath))
            {
                GameArea area;
                try
                {
                    area = (GameArea)_Table[fullPath];
                }
                catch (InvalidCastException cEx)
                {
                    throw new InvalidCastException("The object referenced by key '" + fullPath + "' is not a game area. Invalid data was inserted into the lookup table.");
                }
                return area;
            }
            else
            {
                throw new KeyNotFoundException("'" + fullPath + "' does not exist in the lookup table.");
            }
        }

        public bool Contains(string fullPath)
        {
            return _Table.Contains(fullPath);
        }
    }
}
