// BenLincoln.TheLostWorlds.CDImages
// Copyright 2007-2012 Ben Lincoln
// http://www.thelostworlds.net/
//

// This file is part of BenLincoln.TheLostWorlds.CDImages.

// BenLincoln.TheLostWorlds.CDImages is free software: you can redistribute it and/or modify
// it under the terms of version 3 of the GNU General Public License as published by
// the Free Software Foundation.

// BenLincoln.TheLostWorlds.CDImages is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with BenLincoln.TheLostWorlds.CDImages (in the file LICENSE.txt).  
// If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.Drawing;
using System.Text;

namespace BenLincoln.TheLostWorlds.CDImages
{
    public class SR2PS2AirForgeARGBRAWImage : RAWImage
    {
        public SR2PS2AirForgeARGBRAWImage(string path, RAWParameters parms)
        {
            _FilePath = path;
            _RAWParameters = parms;
            _TypeDescription = "Soul Reaver 2 Air Forge Demo (Playstation 2) RAW Bitmap";
            _FormatDescription = "Uncompressed ARGB Image";

            _DataOffset = 84;  
            // why is there an if statement here?
            if (BPPImage == 32)
            {
                BPPAlpha = (int)_RAWParameters.BPP1;
                BPPRed = (int)_RAWParameters.BPP2;
                BPPGreen = (int)_RAWParameters.BPP3;
                BPPBlue = (int)_RAWParameters.BPP4;
                MaskAlpha = _RAWParameters.Mask1;
                MaskRed = _RAWParameters.Mask2;
                MaskGreen = _RAWParameters.Mask3;
                MaskBlue = _RAWParameters.Mask4;
            }
            else
            {
                BPPAlpha = (int)_RAWParameters.BPP1;
                BPPRed = (int)_RAWParameters.BPP2;
                BPPGreen = (int)_RAWParameters.BPP3;
                BPPBlue = (int)_RAWParameters.BPP4;
                MaskAlpha = _RAWParameters.Mask1;
                MaskRed = _RAWParameters.Mask2;
                MaskGreen = _RAWParameters.Mask3;
                MaskBlue = _RAWParameters.Mask4;
            }

            UpdateStartBits();
        }

        public override System.Drawing.Bitmap GetBitmap()
        {
            //throw new Exception("The method or operation is not implemented.");

            return ReadSingleARGBImageData();
        }
    }
}
