// The Eye of RAW
// Copyright 2006-2012 Ben Lincoln
// http://www.thelostworlds.net/
//

// This file is part of The Eye of RAW.

// The Eye of RAW is free software: you can redistribute it and/or modify
// it under the terms of version 3 of the GNU General Public License as published by
// the Free Software Foundation.

// The Eye of RAW is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with The Eye of RAW (in the file LICENSE.txt).  
// If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace EyeOfRAW
{
    public partial class frmOptions : Form
    {
        //variables for the options
        private bool mIgnoreAlpha;

        public frmOptions(ProgramSettings settings)
        {
            InitializeComponent();
            GetCurrentSettings(settings);
            setOptionsDisplay();
        }

        protected void GetCurrentSettings(ProgramSettings settings)
        {
            mIgnoreAlpha = settings.IgnoreAlpha;
        }

        private void getOptions()
        {
            //Ignore Alpha
            if (chkIgnoreAlpha.Checked == true)
            {
                IgnoreAlpha = true;
            }
            else
            {
                IgnoreAlpha = false;
            }
            ProgramSettings newSettings = new ProgramSettings();
            newSettings.IgnoreAlpha = IgnoreAlpha;
            //commit changes
            newSettings.WriteOptionsToRegistry();
        }

        public void setOptionsDisplay()
        {
            if (IgnoreAlpha == true)
            {
                chkIgnoreAlpha.Checked = true;
            }
            else
            {
                chkIgnoreAlpha.Checked = false;
            }
        }

        public bool IgnoreAlpha
        {
            get
            {
                return mIgnoreAlpha;
            }
            set
            {
                mIgnoreAlpha = value;
            }
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            getOptions();
            this.Hide();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Hide();
        }
    }
}