// The Eye of RAW
// Copyright 2006-2012 Ben Lincoln
// http://www.thelostworlds.net/
//

// This file is part of The Eye of RAW.

// The Eye of RAW is free software: you can redistribute it and/or modify
// it under the terms of version 3 of the GNU General Public License as published by
// the Free Software Foundation.

// The Eye of RAW is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with The Eye of RAW (in the file LICENSE.txt).  
// If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using CDI = BenLincoln.TheLostWorlds.CDImages;

namespace EyeOfRAW
{
    public partial class frmProperties : Form
    {
        public frmProperties()
        {
            InitializeComponent();
        }

        //public void UpdateInformation(ImageFile currentFile)
        //{
        //    txtFileName.Text = currentFile.FileName;
        //    txtSize.Text = currentFile.FileSize.ToString();
        //    txtFileType.Text = currentFile.GetImageTypeName();
        //    txtImageType.Text = currentFile.TypeDescription;
        //    txtWidth.Text = currentFile.ImageWidth.ToString();
        //    txtHeight.Text = currentFile.ImageHeight.ToString();
        //    txtBPP.Text = currentFile.BPPImage.ToString();
        //    txtAlphaData.Text = String.Format("{0:X8}", currentFile.MaskAlpha) + "(" + currentFile.BPPAlpha.ToString() + ")";
        //    txtRedData.Text = String.Format("{0:X8}", currentFile.MaskRed) + "(" + currentFile.BPPRed.ToString() + ")";
        //    txtGreenData.Text = String.Format("{0:X8}", currentFile.MaskGreen) + "(" + currentFile.BPPGreen.ToString() + ")";
        //    txtBlueData.Text = String.Format("{0:X8}", currentFile.MaskBlue) + "(" + currentFile.BPPBlue.ToString() + ")";
        //}

        public void UpdateInformation(CDI.RAWImage currentFile)
        {
            txtFileName.Text = currentFile.FilePath;
            txtSize.Text = currentFile.DataLength.ToString();
            txtFileType.Text = currentFile.TypeDescription;
            txtImageType.Text = currentFile.FormatDescription;
            txtWidth.Text = currentFile.Width.ToString();
            txtHeight.Text = currentFile.Height.ToString();
            txtBPP.Text = currentFile.BPPImage.ToString();
            txtAlphaData.Text = String.Format("{0:X8}", currentFile.MaskAlpha) + "(" + currentFile.BPPAlpha.ToString() + ")";
            txtRedData.Text = String.Format("{0:X8}", currentFile.MaskRed) + "(" + currentFile.BPPRed.ToString() + ")";
            txtGreenData.Text = String.Format("{0:X8}", currentFile.MaskGreen) + "(" + currentFile.BPPGreen.ToString() + ")";
            txtBlueData.Text = String.Format("{0:X8}", currentFile.MaskBlue) + "(" + currentFile.BPPBlue.ToString() + ")";
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            this.Hide();
        }
    }
}